v23-SP2:
big thanx for pierre belanger, Eko, LawnMowerGuy1,Sylvian Bothorel for providing my many patches

13.09.2006: 
0001741 [DD-WRT v23] ebtables support broken 
0001687 [DD-WRT v23] Access Restrictions doesn't work correct 
0001763 [DD-WRT v23] DHCP Client Table No Longer Shows Up On Status Tab/LAN Tab? 
0000789 [DD-WRT v24] Access Restriction time bug 
0001757 [DD-WRT v24] upnp reports incorrect router info 
0001742 [DD-WRT v23] Problems with smbmount in build 6/9/2006 
0001744 [DD-WRT v23] crash resolved (administrator) 09-09-06 Installing 2006-09-06 on Asus DeLuxe crashes. 
0001587 [DD-WRT v24] Udhcpc client timeout too soon for some ISPs 
0001720 [DD-WRT v23] Web gui stp enabled but brctl shows no enabled 
0001721 [DD-WRT v23] brctl setportprio don't works 
0001726 [DD-WRT v23] DDNS with DynDNS.org Wildcard always set 
0001689 [DD-WRT v24] Wireless rate on summary page has units shown twice 
0001703 [DD-WRT v23] 0826 Build causes WR850G v1 to reboot continous after wireless configuration 
0001697 [DD-WRT v23] Unable to re-establish WDS 
0001707 [DD-WRT v23] About DD-WRT pop up box 
0001695 [DD-WRT v23] The Wireless MAC is:CE:2A:00:00:00:00 
0001671 [DD-WRT v24] Netmask of 2.WLAN Interfaces is not set 
0001630 [DD-WRT v24] Wireless Lan no TX. 
0001679 [DD-WRT v24] Subnet mask not set on additional SSID 
0001685 [DD-WRT v24] arp -a doesn't give any output 
0001686 [DD-WRT v23] WRTSL54GS, Wireless MAC is wrong in WDS configuration page. 
0001684 [DD-WRT v24] channels 12-14 not selectables 
0001675 [DD-WRT v23] bug in www interface will display sensative network settings, IP numbers, MAC addresses etc.. Needs to be secured! 
0001658 [DD-WRT v23] Sipath Phonebook und Status Page broken 
0001626 [DD-WRT v23] nocat splashd goes 99% cpu time. 
0001668 [DD-WRT v23] Admin > Commands working, but output to GUI wrong 
0001604 [DD-WRT v23] does not add self created QoS rules 
0001653 [DD-WRT v23] stdout not working properly | v23 sp2 8/18 
0001652 [DD-WRT v23] DDNS settings not saved 
0001541 [DD-WRT v23] scheduled reboot is not executed 
0001641 [DD-WRT v23] Wireless Noise Reference (Default: -98, Range: 0 - -100db) does not allow -100db 
0001627 [DD-WRT v23] Cannot enter GW IP through web-interface. 
0001640 [DD-WRT v23] Dyndns updating host server every 15 minutes 
0001636 [DD-WRT v23] On the Setup screen under basic setup, the save button does not work 
0001637 [DD-WRT v23] almost bricked and DHCP bug 
0001620 [DD-WRT v24] cannot open or create lease file (w/solution) 
0001496 [DD-WRT v23] OpenVPN does not work after built date 06/15 
0001618 [DD-WRT v23] Radio Broadcast Notification Error 
0001621 [DD-WRT v24] Wireless channel selection in GUI deducts 1 channel in radio 
0001611 [DD-WRT v23] svn3434 botho - error in Wireless_Advanced.asp 
0000784 [DD-WRT v23] PPTP-User don't get local DNS lookup 
0001605 [DD-WRT v23] Aug. 03 release: Safari problem 
0001482 [DD-WRT v23] WHR3-AG54 can't reset to defaults. 
0001596 [DD-WRT v23] error in Wireless_Advanced.asp 
0001593 [DD-WRT v23] DDNS can't set 
0001592 [DD-WRT v23] When you add a static lease, the option "Use NVRAM for client lease DB" becomes unchecked. 
0001584 [DD-WRT v23] dropbear vulnerability (needs updated rev) 
0001562 [DD-WRT v24] KAID: New version is available 
0001573 [DD-WRT v23] Static DHCP Clients Don't All Show Up In DHCP Client List With "Use NVRAM For Client Lease DB" Enabled 
0001565 [DD-WRT v23] 7-30-06 micro generic bricked Belkin 7230-4 v1444 
0001580 [DD-WRT v23] DDNS Gui confuse 
0001583 [DD-WRT v24] eth0 and eth2 not in promisc mode? 
0001581 [DD-WRT v24] Bricking 
0001566 [DD-WRT v23] 7-30-06 micro generic in constant boot cycle Linksys WRT54G V5 
0001568 [DD-WRT v23] DHCP Clients are not shown 


30.07.2006:
for our chinese users 3322.org dyndns has been added
0001555 [DD-WRT v23] "Use NVRAM For Client Lease DB" Doesn't Save? 
0001552 [DD-WRT v24] rp-pppoe not working, v24 07/27/06-2 
0001554 [DD-WRT v23] Missing translations (German) in 0727 
0001553 [DD-WRT v23] WBR2-G54: 7-27 build, reset to factory defaults locks me out of the router, 
0001526 [DD-WRT v24] it doesn't save the name of the 1st Virtual Network 0.24 (22_2/07/2006) 
0000252 [DD-WRT v24] Access restriction on wlan 
0000106 [DD-WRT v24] Syslogd remote server field 
0001518 [DD-WRT v24] Wireless_basic GUI ugly for wrtsl54gs v24 
0001528 [DD-WRT v24] WLAN Settings can't be saved 
0001125 [DD-WRT v24] Add SVN revision to builddate string, date conforming to ISO 
0001531 [DD-WRT v23] Can't save changes on Administration->Services 
0001523 [DD-WRT v23] v23 SP2 (0722 and 0722-2) 
0001501 [DD-WRT v23] Both telnet and DNSMasque not working in July 18 release 
0001508 [DD-WRT v23] Optware packages mount point 
0001514 [DD-WRT v23] /sbin/route missing in micro build, PPTP client then not working 
0001456 [DD-WRT v23] WDS with WPA TKIP does not work 
0001500 [DD-WRT v23] July 17 release: "Use SES for turning off radio" doesn't work 
0001494 [DD-WRT v23] NoCat unable to be set to zero loging 
0001462 [DD-WRT v23] DynDNS Abuse 


18.07.2006:
0001482 [DD-WRT v23] WHR3-AG54 can't reset to defaults. 
0001487 [DD-WRT v24] dnsmasq doesn't work for DHCP 
0000529 [DD-WRT v23] SNMP sysUpTime wrong after first clock synchronization  
0001295 [DD-WRT v23] QoS - Services Priority - Cannot add a service that uses TCP port range. 
0001483 [DD-WRT v23] dd-wrt sp2 07/16 DHCP does not work 
0001484 [DD-WRT v23] Upgrade to 7/16 build, DNS name resolution fails  
0001478 [DD-WRT v24] v24 build20060713std --> v24 build20060715vpn = bricked  
0001047 [DD-WRT v23] Add /mmc to PATH and LD_LIBRARY_PATH 
0001329 [DD-WRT v23] WDS disconnects every 2 to 10 minutes (not sure if its a bug) 
0001468 [DD-WRT v24] WBR2-G54: Reset button does not reset settings to factory default 
0001471 [DD-WRT v24] Corrected German translation
0001475 [DD-WRT v23] WRT v2.2 brick after 'reset to defaults' (07/14/06) std
0001453 [DD-WRT v24] Date and Timestamp at the DDNS Status
0001410 [DD-WRT v24] On reset to factory defaults, inconsistent/odd settings on Wireless->Basic Setup etc. 
0001424 [DD-WRT v23] July 6 release: crond-jobs executed twice 
0001384 [DD-WRT v23] [July,1] PPPoe Connect reconnect loop only with rp-pppoe 
0001435 [DD-WRT v24] rp pppoe cannot retain connection 
0001459 [DD-WRT v24] "Wireless Network Mode" has no effect - always Mixed 
0001456 [DD-WRT v23] WDS with WPA TKIP does not work 
0001460 [DD-WRT v23] Minor mistake on version number (07/11/06) 
0000138 [DD-WRT v24] Wireless Status Page shows Encryption as Disabled even though it is enabled 
0001110 [DD-WRT v24] PPPOE relay 
0001436 [DD-WRT v24] wep keys cannot be set by entering hex string. 
0001438 [DD-WRT v24] ssid doesn't accept character ['] anymore. 
0001439 [DD-WRT v24] In wireless security page, I cannot add WEP key, client mode 
0001432 [DD-WRT v24] Wireless security settings problem 
0001445 [DD-WRT v24] Wireless Security [ "Done, but with errors on page" ] error 
0001449 [DD-WRT v23] Minor mistake on version number 
0001433 [DD-WRT v23] Save/Reboot buttons on Administration->Management page do not function 
0001441 [DD-WRT v23] July 8 release: Errors on div asp webpages 
0001444 [DD-WRT v23] error in Keep Alive page (07/10/06) 
0001416 [DD-WRT v24] spontaneously reboots on WRTSL54GS 
0001418 [DD-WRT v23] Wireless survey not working in client wireless modes 
0001411 [DD-WRT v23] July 5 release: password encryption breaks pppoe 
0001404 [DD-WRT v24] checkbox "v" for Wildcard on DDNS is not showed after saving, V24 04/07 
0001401 [DD-WRT v24] Site survey is causing wireless crash in 2006-0704 (again) 
0001402 [DD-WRT v24] SSID is always dd-wrt in Wireless Status (2006-0704) 
0001394 [DD-WRT v24] the router crashes when I tried to remove a Virtual Interfaces 
0001246 [DD-WRT v23] RIP2Router -> Selecting Interface "WAN" selects "br0" in /tmp/etc/bird/bird.conf 
0000760 [DD-WRT v24] Dynamic DNS should be able to retrieve public IP from the web 
0001392 [DD-WRT v24] Router crashes when click on button "Site survey" and resets wireless channel to 6 
0001391 [DD-WRT v23] v23 7/01/06-2 build std: Router does not communicate with RADIUS server 
0001388 [DD-WRT v23] [July,1] broken iptables output 
0000982 [DD-WRT v24] Support for WRTSL54GS 
0000494 [DD-WRT v24] Custom DDNS 
0001380 [DD-WRT v24] Please add support for No-IP.com as DDNS 
0000065 [DD-WRT v24] Port based QoS 
0001379 [DD-WRT v23] v2.4.33-rc2 fixes some issues with netfilter 
0000683 [DD-WRT v23] Router (WAN) MAC set to 00:00:00:00:00:00 when 'Connect on Demand' selected - SP1 (01/27/06) 
0000125 [DD-WRT v24] trivial resolved (LawnMowerGuy1) 06-28-06 bash reports as V23 
0001349 [DD-WRT v23] v23 SP1 Final (06/15/06) micro, GUI shows PPTP Server and Hotspot options 
0001373 [DD-WRT v23] Can't change router name when using client bridge mode 
0001367 [DD-WRT v23] crond don't work in current releases (19.06.2006) 
0000663 [DD-WRT v23] Add a favicon.ico to web? 
0001324 [DD-WRT v23] Cant turn on WEP, says Afterburner is on, but it isn't! 
0001358 [DD-WRT v23] Afterburner default 

  
14.06.2006:
0001348 can't establish pptp connection to router(running as pptp server) 
0001341 can't connect pppoe with rp-pppoe in 06/12/06 
0001347 Wireless Client MAC List doesn't populate 
0001283 Keep Alive: Disabling Scheduled Reboot still reboots (SP1 Final)  
0001323 MAC addr in client mode- radio not matching status pages 
0001319 Belkin F5D7231-4 will continuously reboot when adding DMZ 
0000045 Router Name not always seen in logon of telnet.  
0000730 rflow and wan interface no traffic recorded 
 
05.06.2006
0001315 5.jun. : wireless clients not shown 
0001316 v23 SP1 (06/05/06) - Services.asp is two columns 
0001046 Local loopback broken with a class b and class a networks. 
0001060 NoCatSplash issues again 
0001277 OpenVPN parameter error 
0001290 Missing common.js = No capture( ) function 
0000783 Modules for VPN passthrough disabled by WAN side DHCP renewal when PPTPD is enabled    
0000548 Consider using CSS in vlan page 
0001086 Wake Up LAN Clients from WebGUI 
0001239 Status/Lan/DHCP Clients OUI Search don't work on MAC Addresses 
0001243 Syslog only accepts IP address 
0000642 OpenVPN "options" entry box 
0000081 udhcpd: Can't delete clients from the DHCP client table 
0001230 udhcpd.conf contains wrong max_leases value 
0001191 DNSMasq clears udhcpd.leases on first DHCP assignment after startup 
0001052 DNSMasq clears udhcpd.leases on startup 
0001262 Noise in Client-Mode not refreshed 
0001267 "MAC-udp" instead of "MAC-upd" in status page 
0001264 netmask in QoS.asp truncates final digit 
0001252 SP1 final micro: Javascript Error in Wireless -> WDS 
0001225 SSHd not working in SP1 RC4 - RC6 
0001241 Port forwarding: "both" option disapears from selecion menu 
0001242 WDS noise level summary sign is wrong 
  
15.05.2005: FINAL - Yeah
0001237 RC6: Administration->Diagnostics: command shell broken / 125 MHz cpu  
0001233 c23 SP1-RC6 can not change PPTP gateway IP, password shown mismatch (hashed???) 
0001232 PPPoE password is not displayed properly   
0000764 High system load (exactly 1.00) with sp1 starting from 16.feb. (some routers with 125 MHz CPUs) 
 
14.05.2006: (RC6)
0001229 Extreme High CPU load with RC4 on WR850G v1 (which means the cpuload bug for 125 mhz models is fixed now)
0001226 macauth field has never worked 
0001224 onblur value on webalive page 
  

13.05.2006: (RC5)
EXEMPT class added
hfsc packet scheduler (optional, see Qos tab)

12.05.2006: (RC4)

0001217 SP1 RC3 Although Router set to WPA Preshared key TKIP Network shows up as unsecured  
0001143 Enabling PPTP-client stops Internet Access 
0001190 Enabling PPTP-server stops Internet Access    

12.05.2006: (RC3)
officially support for:
Buffalo  WLA-G54,WBR2-G54,WBR2-G54S
Belkin   F5D7130/7330 (2mb flash),F5D7230-4 v1444 (2mb flash)


0001088 In AP mode it is not possible to add WAN port to LAN 
0001196 WEP 128 bit - "Generate" button changes "Encryption" dropdown to 64 bit (v23 SP1 RC 1) 
0001199 WR850G: No Wireless LED --- fix ( from ticket 0000666) 
0001184 wds site info still broken 
0001175 Problem with the new firmware with realtek 8180l chipset 

07.05.2006: (RC1)
0001166 Could not turn off CISCO (SES) light by pressing CISCO (SES) button  
0001052 DNSMasq clears udhcpd.leases on startup 
0001179 backup link goes to firmware from other admin pages 
0001168 Resetbutton daemon not starting (05/05/06 build)   
0000999 firmware upgrade and backup/restore don't work with https  
0000829 WINS server setting not transferred to pptpd server 
0000955 WEP Key Generated from Passphrase on V23 doesn't match Generation from Linksys Firmware Based   
0001141 The Save Settings button in the VLANs tab is not working. 
0000685 No time if NTP server unavailable at router boot if WAN set to disabled 
0001157 misleading GUI for DNSMasq 
0001136 Management.asp will not save in 04/28 micro wrt54gs build
  
01.05.2006:
0001069 After erasing nvram the default router sytle in not set 
0000866 Typo: '5.5 mbps' wireless connections show up as '5 mbps' under 'Rate' on Status_Wireless.asp  
0001144 Add more fields to Filters.asp for URLs and keywords 
0000958 DHCP-Static-Clients not visible in Status-Page nor DHCP-Table  
0001138 WOL: net broadcast address wrong 
0001136 Management.asp will not save in 04/28 micro wrt54gs build   
0001022 Document or change IP filter Timeout / Maximum ports  
0001027 LAN & WAN stop working on Buffalo WBR2-G54 and WBR2-G54S using dd-wrt.v23 SP1 beta/2006 - 0407 
0001033 Help displayed on the left in SIPatH tab (VoIP build) 
0001055 GUI forces to setup Chillispot DNS server, instead of allowing use of default servers 
0001116 Default shaded text does not align in IE7 - LATEST BUILD  


25.04.2006:
sputnik crashbug finally fixed
routerboard 500 port internally working now with all features

0001119 After reboot redirection to http://xxx.xxx.xxx.xxx/.asp 
0001118 INFO site = disabled .. WDS status is gone as well 
0001089 Filter IDENT (Port 113) gets disabled when Block Anonymous Internet Requests is unchecked 
0001103 New WOL tab not working  
0001102 Error on Management Page 
0001003 Default settings option on Firmware upgrade page doesn't work 
0000145 Rebooting, brings me to unformatted menu 
0001100 4/19 Build - "Save Settings" button in Keep Alive does not work 
0001084 Filter Multicast automatically ticked when Saving Settings on Security Tab 
0001076 18/4/06 mini build shows ssh port as 'closed' rather than stealthed 
0000601 Client mode does NOT work on Buffalo WBR-G54 and WLA-G54 
0001068 Transfer problem, version 06.04.13, 06.04.15
0000985 LAN Domain name wouldn't transmitted when using uDHCPd
0000992 DNSmasq name resolution requires trailing period on hostname     
0000761 QoS service class filter does not work properly

17.04.2006:
0000909 pptp client routing error 3/14/06 firmware  
0001049 DCHPFWD not compatible with PPPOe on WAN - needs change to dhcp-fwd.conf 
0000912 Can't use space char in smb share name 
0001063 Can't set wireless security 
0001050 Unable to switch to WPA RADIUS modes  
0001041 Web GUI: Policy Name textbox empty 
0001042 v23 04/09/06 build - Textual error "Resetbuttond" 
0001038 VPN Help, etc. 
0000953 quotes in command output on diagnostics page   
0001039 Command Shell broken 

  
09.04.2006:
booting time dramaticly decreased
fixed some badinterface handling code from linksys


0000931 'LAN IP' in 'Outgoing Log Table' is corrupted 
0000968 GZIP broken not working build 27-3-2006 
0001031 Port Range Forwarding doesn't save "Enable" in Firmware: v23 SP1 (04/08/06) 
0001029 4-8-06 web page formatting unusable in each css theme - (DDNS, All of App & Gaming, etc) 
0000998 wireless advanced help improvements for wmm  
0000903 Wireless Security help text 
   
07.04.2006:
0000986 PPPOE - Connect on Demand: Max Idle Time 0 
0001008 HTTP Bug on Wireless Security Page/ v23sp1 04/04/06 
0001002 Load Average on Status Page Contains Extra Space    
0000990 Protocol type always shows "Both" in Port Forwarding page (Apr. 3, 2006) 
0000947 25.mar.06 (std) build bricks Buffalo WBR-G54 /WLA-G54 
0000974 Firmwares above ~ 20.03.06 bricks LAN-part at WRT 54G 1.1 
0000983 add ip_conntrack level to status page 
0000964 STP cannot be deactivated      
0000941 DNSMasq 2.27 is out 
 
01.04.2006: no april joke
0000976 03/31/06 generic, boot process stops: UPnP problem ???  
0000888 WAN port prob on WR850g v3 (LED -> GPIO "reset" problem) 
0000978 Incorrent Time for Time Zones without DST 
0000971 Truncate first letter of Host Name in Telnet login 
  

31.03.2006:
SSL bug fixed. which means Backup/Restore and Firmware upgrade should now work in HTTPS as well
0000965 info page defaced (opera browser) & no memory/packet info values (https mode only)  
0000918 DDNS Wildcard Option  
0000860 www interface in ie7  
0000948 24.mar. build - styles broken in Mozilla (ok in Firefox and IE) 
0000944 ie lockup when switching to status page on build 2006/03/25 
 
25.03.2006:
std/voip/vpn distributions contains now mke2fs and formats sdcards automaticly if no valid filesystem is detected

0000936 bad recommendation to disable SSiD broadcast  
0000905 brctl showbr truncates output 
0000921 cannot submit new user in clilispot local usermanagement 
0000597 Javascript Error: Vlan.asp 
0000716 if modify a file on jffs and then reboot the router hangs and needs power off to restart  
0000661 WRT54GS v1.1 doesn't reboot from console with mtd erase nvram  

20.03.2006:
finally our bad reboot hanging bug seems to be fixed now. NbD/OpenWRT was able to reproduce it and found a solution for it
0000548 Consider using CSS in vlan page 
0000796 WDS is not working after restore a backup. 
0000907 Update l7 filters to newest version? 
0000891 Vlan.asp page error and help page for vlan is missing  
0000853 pl2303 driver can't be compiled  
0000895 WPA PSK key length is not enforced 
0000897 Wireless DTIM help text 
0000855 UPnP Disappears 
 
14.03.2006:
starting from today i will supply a fon capable build too
later this will be introduced with a fon button in any firmware

0000885 Key Generation from Passphrase does not work  
0000886 Help Menu in Status Tab needs editing.... 
 

13.03.2006:
mmc driver does now support the newer WRT models as well as the old ones (or better it should, untested yet)
note that i changed the mmc filesystem from vfat to ext2

The userspace code is now compiled with GCC 4.10. i hope this solved some memory problems 
0000647 Wireless MAC filter can NOT be administered wirelessly  

11.03.2006:
0000740 Wireless Status Display drops name of 10th WDS connection  
0000852 'P2pP' typo in Wireless_WDS.asp 
0000833 Disabling UPnP Rule does not remove it from iptables  
0000843 Misdirection of new Status -> Sys-Info tab 
 

06.03.2006:
new upgrade page introduced

0000759 8th, 9th, and 10th WDS links fail to establish 
0000838 Delete button "DHCP Clients Table" doesn't work 
0000609 Mini version status page extra text 
0000597 Javascript Error: Vlan.asp 
0000658 Power led never stop blinking after web gui upgrade with "Factory Defaults" selected 
0000831 Basic Setup JavaScript problem with pppoE selection 
0000595 Missing help page: HVlan.asp 

03.03.2006:

0000816 Info Site password protection has no effect
0000827 ASUS WL-500G Deluxe Router Bricked
0000285 New QoS Service Requires Reboot & Not Sorted 
0000722 Unable to connect to the PPTP server after Feb 9 firmware 
0000378 Client Bridged mode is not included in Help (/help/HWireless.asp) 
0000518 Wrong help page link : link are false or page doesn't exist - a complete inventory ... 
0000596 Minor help page changes


02.03.2006:
0000761 QoS service class filter does not work properly
0000722 Unable to connect to the PPTP server after Feb 9 firmware 
0000816 Info Site password protection has no effect 
0000453 Xirian GUI style broken 
0000779 BrainSlayer style web interface issues 

31.02.2006:

Please note that the username at gui login is now "root" and not empty anymore. additionally i can be possible
that this can cause troubles with old settings. i will implement a nvram conversion tomorrow

0000811 ipkg fails to install as it uses wrong tar syntax  
0000808 SiPath Seems to be broken in 2.27.06 build 
0000812 nocatsplash doesent work (note. SplashURL must now include the html page too http://yoursite/splash.html for example)
  
28.02.2006:
overclocking feature added for safe overclocking (please use with care if you dont want to create a brick)
some help files added
ack timing can now be disabled too

0000805 Web GUI : QoS; Netmask Priority; there's one dot too much, please change to slash / 
0000806 nocatsplash upgrade not good 


27.02.2006:
ACK timing setting added (by atheros like distance setting)
many big thanks to Nbd/OpenWRT for providing me the way

0000790 Upgrade NoCatSplash to .93 
0000593 Hraduath.asp uses old-style help page 
0000732 GUI error in spanish Language 
0000662 Web-Admin tweaks 
0000771 UPnP stays Disabled 
0000775 Client bridge reboot loop or BRICK 
0000747 PPTP Client mode Fatal 11 
0000755 RP-PPPOE broken in 17/02 build 
0000787 GUI Bug, 2/24/06 mini 
0000781 2/24 build will not accept UTC+9 
0000777 'Join' button on the 'Site Survey' does not work 
 

24.02.2006:
chillispot changes for fon.com
0000769 WAN IP stays set after changing "conection type" to "disabled" 
0000772 Little typo Services-page 
  

23.02.2006:

pptp signal 11 should be solved now too
mac proxy mode added for client bridge (should solve the most dhcp problems)

0000381 UPNP Forwarding has fixed values 11/24 WRT54G v4 
0000757 Site Survey Fails if SSID contains a single quote 


22.02.2006:
0000694 Using the 'Join' button on the 'Site Survey' popup window does not exit the popup window (control panel opens in popup) 
0000523 Wrong help container in Access Restrictions tab 
0000719 SP1 20060209: Not all L7 patterns showing  
0000751 Cannot commit changes (like "Send presentation URL") to UPnP    

21.02.2006:
httpd translation memory leak fixed
french language file updated
0000707 HOST field for static leases: maxlength is too small 
0000751 Cannot commit changes (like "Send presentation URL") to UPnP 
0000748 Spelling error (build 02/17/06 and 02/16/06) 
0000547 Web GUI : Port Triggering's Help Container   
0000546 Web GUI : Access Restrictions's Help Container 
0000505 Wireless channel Range not really readable 
0000743 DNS not working in build 16/02 
0000723 rflow doesn't launch in the Feb 9 build 
0000655 Setup CVS for DD-WRT 
0000726 UPnP problems with 02/09/06 
0000735 logo-help.png file corrupt   
0000180	Problems setting timezone

   
16.02.2006:
Many structural changes for full gpl compliance. so be careful while testing
svn://svn.dd-wrt.com/DD-WRT introduced which contains the very latest sources
memory optimization (should solve various SE505 problems)

 

09.02.2006:
Buffalo-WHR-G54S support added (tested)
Buffalo-WHR-HP-G54s support added  (should work)
0000665 Problems setting timezone  
0000709 Access Restrictions tab disappears in Web Interface 
0000517 Wireless Active Client List : bug in the max. clients number 
 
 
06.02.2006:
fully b44 driver integration (thx nbd/openwrt)
buffalo wzr-rs g54 support now a little bit more officially
iptables upgraded to latest version
ipp2p module updated 
some filter default definitions like soulseek,gnutella,ares etc. converted from l7 to p2p
(reset your config to get them to work)


03.02.2006:
save workflow enhanced. everything is much more smooth now

0000698 QoS still doesn't work properly in SP1 02/02/06 
0000669 QoS doesn't work in SP1 01/27/06 and 01/31/06 
  

02.02.2006:

0000669 QoS doesn't work in SP1 01/27/06 and 01/31/06 
0000690 GZIP, TAR broken (CLI command GZIP = IP ????? build 31-01-2006) 
0000661 WRT54GS v1.1 doesn't reboot from console 
0000678 WDS p2p mode can't be configured in Firefox if more then 1 MAC is used - web GUI problem 
 
27.01.2006:
adsense finally removed again

0000656 Build 0123 & 0125 (SP1): httpd crash when saving managment or service tabs 
  


26.01.2006:
google adsense added to the firmware (please discuss in the forum if you dont like it)
firmware downsized a little bit again
httpd code bug fixed (causes crashes under some not direct reproducable conditions)


25.01.2006:
0000653 DNSMasq as DHCP server NAKs lease renewal request - v23 sp1 16/01/06
0000386 Memoryleak httpd status page 
0000589 PPPoE (standard) Connect on demand is broken 
0000641 sp1: 13.&16.jan: All "Additional filters" turned ON by default 
   

16.01.2006:
0000170 WRT54G or GS hangs when (mtd erase nvram) then (reboot) from a telnet session 
0000602 PPTP Internet connections drop due to ipables rules 
0000301 WOL in WebGUI is out of Work 
0000610 v23SP1: Rflow interface: web interface is broken 
 
dhcpc client interval fixes (connect now faster in client mode)
dhcpc lease update fixes (does not disconnect on lease update anymore)
wOL patch by Pierre Belanger implemented who finally got it to work



08.01.2006:
0000585 DD-WRT: Rflow support should include choice of interface 
0000416 06/12 build: DNSMasq crashes and restarts by itself  
0000579 Please Reconsider: Remote Management Is Enabled By Default in v23 final   
0000536 Client doesn't get WINS when using DNSMasq as dhcp server - v23 final   
0000529 SNMP sysUpTime wrong after reboot   
0000336 epi_ttcp default port is correct, but text is wrong in "usage"  
0000577 Channel changing turns on Frame Burst setting in Mixed and B-only mode   
0000550 WDS P2pP can't be configured in Firefox  
0000553 search DOMAINNAME missing in /tmp/resolv.conf 

v23-final:
CHRISTMAS 2005:
0000503 2 bugs in HTML headers of the web interface  
0000530 Solution to Opera Status page problem 
0000506 DHCP Client table with DNSMasq is empty (I know, again) 
 
  
23.12.2005:
0000515 21/12 build: WRT54G 1.1: NO ETHERNET LAN 
0000038 DMZ LED doesn't work on WRT54G v.1.1 with all v23b2 builds 
0000514 21/12 build: WRT54G 1.1 RESET button does not work ! 
 

the firmware does now support GSv4 firmwares for backflashing to linksys 

22.12.2005:
0000514 21/12 build: WRT54G 1.1 RESET button does not work ! 
0000517 Wireless Active Client List : bug in the max. clients number 
0000507 Wrong Version Number in Firmware 
0000509 Address spelled wrong 
   
21.12.2005:
0000170 WRT54G or GS hangs when (mtd erase nvram) then (reboot) from a telnet session 
0000498 HTML error on Sys-info page  
0000482 DHCP server broken again in 191205 version  
0000286 trivial text change for router reboot message 
 
19.12.2005:
0000472 16/12 build: Client or client-bridge mode won't connect to AP !!! 
0000243 UPnP status closes in Windows XP 
0000363 /tmp/resolv.conf not set properly in Client Bridge mode 
0000479 DynDNS broken "Domain name resolv fail"    
0000468 16/12 build: SSH daemon (dropbear) broken 
0000466 DNS problems with builds from 12&14.12.05! 
0000356 03/12 build: DHCP Clients table shows empty 
 
16.12.2005:

0000399 ebtables broken   
0000243 UPnP status closes in Windows XP 
0000445 Changing the 'TCP Timeout' setting does not take effect immediately 
0000451 Afterburner does not work on v 23 - 2005.12.11 
 

This release needs a full reset of all nvram settings to get everything in the right place

14.12.2005:
- ASUS WL500G-Deluxe support fixed
0000442 DNS problems with 12.12.05 
0000450 12/12 build: Calling ntpclient manually sets time to UTC 
0000446 UDP Timeout option broken  
0000129 L7 protocol for half-life 2:DM applied ? (where are additional l7 filters ?) 
 
12.12.2005:
0000091 connections/ports get extremely long TTL and stay for days 
0000263 Input field value checking does not prevent to save settings    
0000433 extra line break on setup screen  


11.12.2005:
0000363 /tmp/resolv.conf not set properly in Client Bridge mode   
0000382 Various JavaScript Warnings and Errors 
0000332 Index.asp unusable in Safari 
0000394 Access Restrictions > Inbound traffic policy not working    
0000422 Turning TFTPD off  
0000421 Firmware Upgrade page changes 
0000417 06/12 build: /sbin/check_ps doesn't work properly 
  
some statement about the long delay between the release. currently i'm heavy working 
various issues like l7 filter problems etc. which eating up my time. the l7 filter problem
for example (access restriction services, qos etc.) is caused by simply bad l7 protocol
definitions. i tested various protocols today and some are not working from scratch. 
this release includes a debug enabled version of l7proto, so you can check if something works
or not, or is caused by dd-wrt itself.


10.12.2005:
0000385 Some pages don't open help files in new window - problem to return 
0000410 AP Watchdog kills WPA wireless LAN 
0000374 03/12 build: "uptime" doesn't give current time    

06.12.2005:
0000282 Remote Router Access : https check box disabled  
0000356 03/12 build: DHCP Clients table shows empty 
0000289 Wireless Clients -> Radio Signal RSSI -> Status not resetting when no signal 
0000337 2/12/05 moto mini version upgrade does not work 
0000098 JOIN does not work when SSID contains a <space> 
0000340 LAN port 4 and WAN port mixed up on 02.12.2005 std release 
0000372 Static IP: no WINS field for DHCP server 
0000353 DNSMasq doesn't work as DHCP Server   
0000359 Masqed MACs in DHCP Client Table   
0000351 Management.asp page - Java Script Errors 
0000369 Unmask MACs in DHCPTable.asp 
   


03.12.2005:
0000344 Clients MACs not shown in full (Status->Wireless) 
0000346 12/02/05 - Can't remove static DNS entries 
0000345 02/12 build: DHCP server broken, DNSMasq not running ? 
0000348 udhcpd does not respect LAN domain setting 
0000342 Reopen: 0000328: httpd hangs in QOS Page (qos disabled) when i press a "Add" button. 
0000343 Info Page - Java Script Errors 
0000350 Change "Status Site" to "Sys-Info Site" 
0000110 Wireless Security page contains errors 
0000333 Wireless Status Page - Encryption Info Out of Place 
0000334 Java Script Error on Port Services Page 
0000331 Java Script Error on Administration Page
0000111 Access Restrictions page contains errors

02.12.2005:

- new wireless client/ap/wds table for info and wireless status

0000309 BrainSlayer is currently sick, so bug fixing is a little bit delayed  
0000318 Can't setup static ISP settings on dd-wrt v23b 24.11 
0000048 Blocked Services on Access Restrictions Not Working 
0000308 /usr/sbin/rflow missing from v23b2 2005/11/24 vpn build      
0000306 No access to configure SNMP agent in GUI 
0000288 Static IP Internet Connection Type Cannot Save Settings 
0000281 DHCP-Relay: dhcp-fwd not starting => error 
0000279 Formatting in status:wireless 
0000297 wrong netmask in /tmp/dnsmasq.conf          
  
24.11.2005:
0000276 openvpn version 2.02 wich is used in the vpn version contains security bugs 
0000269 cgi method show_modules() doesn't (jffs|mmc)/etc/config for files 
0000265 snmpd binary missing from V.23b VPN 2005/11/23 build 
0000272 Status page incorrectly reports DHCP is enabled in Client Bridge mode 
0000273 udhcpc starts new instance of openvpn on every wan lease renewal 
0000275 Cant change Static DNS in Setup/Basic Setup 
  
23.11.2005:
- KAID updated to latest version
0000133 Scheduled reboot lower time limit 
0000250 GUI artifacts in Setup>Basic Setup during client bridged mode 
0000253 SSH doesn't start automatically when first enabled 
0000224 Backup/Restore issue with WDS 
 
22.11.2005:
- flashing of larger images than 3.8 mb is now possible (on gs models)
- some text corrections in openvpn client
- protocol selection added for openvpn clients
- reverted ebtables module handling for speed improvement

21.11.2005:
- openvpn tunnel route introduced
- dnsmasq lease delete recoded, handling of lease files improved
- various build oriented problems fixed
- changed kernel module handling to get down the binary size

0000232 VPN Version (11/18/05) disconects... 
0000231 VoIP-Version on 18/11/2005 bricked WRT54GS !!! 
0000229 DNSMasq seems not to give out IP addresses (Nov 18) 
0000242 Disabling logging 
0000240 can't connect via https 
       

18.11.2005:
the last regulary feature has now been added. OpenVPN 
this is made for client only connections and can be configured under Administration->Services.
it works as wireless client as well as with other connection types. use the dd-wrt.v23_vpn 
distribution if you want this feature in your life

- Motorola support finally fixed and works great.
- introduced new switch management drivers (thanks Nbd) (not used yet, but will come in v24)

0000170 WRT54G or GS hangs when (mtd erase nvram) then (reboot) from a telnet session 
0000219 Mem info is in status is gone 
0000224 Backup/Restore issue with WDS 
0000176 router name incorrect in /etc/hosts - symptoms seen in nslookup 
0000221 Admin > Services > DHCPd > MAC field shows extra characters, memory buffer overflow? 
0000161 XBOX Kaid is not in VOIP but KAID Configuration is still in the gui. 
 

17.11.2005:
i worked the whole day on the morotola wr850g network issue, so not many updates today
0000185 Blank QoS Service Page 
0000202 additional lib paths in /etc/ld.so.conf 
0000170 WRT54G or GS hangs when (mtd erase nvram) then (reboot) from a telnet session 
 

16.11.2005:
trx binary problem fixed for motorola WR850g routers
wireless mac problem solved for various non WRT models (generic solution)
0000038 DMZ LED doesn't work on WRT54G v.1.1 with all v23b2 builds
0000191 lan port 4 gets swapped with wan on wrt g v4 models if you reset the configuration 
0000188 WRT54g v4 can't connect to the internet 
0000148 Memory status incorrectly formatted at the bottom of main status page 
0000194 HTB: bad diff in charge strikes back  
0000190 Using v23 build 14, I cannot use the 4th LAN port. 0000186
0000186 LD_LIBRARY_PATH is not set in /etc/profile 
 

15.11.2005:
0000161 No gzip in 14.11.2005 ????? 
0000167 ipkg broken in V23b 14-11-05 
0000168 DD-wrt v23 B2 141105 SE505 v2 bricked 
0000109 router entry in /tmp/hosts corrupted 
0000097 Router\client network settings showing on front page of GUI 
0000181 Build 14/11: "kernel: HTB: bad diff in charge" messages ...??? 
0000037 v23b2 07/11 and 08/11 builds BRICK WRT54G v.1.1 and v.1.0 
0000178 DHCPd static mapping doesn't work 
 

14.11.2005:
kernel updated to 2.4.32-rc3
new option in setup added (client, client bridge only) which allows you to use
the wan port as additional switch port.
arp command added

0000076 probably iptables 1.3.4 breaks fwbuilder scripts 
0000094 2 "DHCP Server" lines in DHCP active IP table page 
0000044 dnsmasq: client lease time 13097 days... 
0000089 pptp client (services) 
0000132 IP, ports, don't need units (s) 
0000008 UPnP broken 
0000145 Rebooting, brings me to unformatted menu 


11.11.2005:

0000097 Router\client network settings showing on frot page of GUI 
note: new feature added which masquerades macs (administration)
0000063 Logging fails 
0000084 Missing Menu & No WAN connect (WRT54GS V2) 
0000082 Sipath text correction 
0000092 Wireless_radauth.asp page incorrectly formatted 
0000014 Some pages don't apply changes "on-line" 
0000087 Tab menu error 
 


10.11.2005:
motorola works again
0000050 SI units (watt, mega, second) 
0000053 double static entries in /tmp/hosts  
0000075 Formated help files available here  
0000074 Entries in /tmp/hosts need to be fully qualified 
0000060 DHCP Reserwation don't wort  
0000028 update udhcpc to latest version from Busybox 

additionally the dhcpc vendor id can now be configured by the web interface under
Administration->Services

the WRT54G1.0/1.1 bug is still under investigation. it looks like the network interface comes not up
to verify i need a serial adapter output
 
 

09.11.2005:
new udhcpc introduced
various web gui bugs fixed (wireless mode etc...)
ddns code changed
resolved issues from bugtracker:

0000003 Chilli Does not start in v23beta2 7th November release 
0000017 Dynamic DNS broken 
0000012 Bad password saved 
0000011 mtd erase nvram don't works 
0000027 Wireless Network Mode Not Displaying...  
0000028 update udhcpc to latest version from Busybox 
0000042 Remote HTTPS checkbox can't be disabled in webgui. 
0000038 DMZ LED doesn't work on WRT54G v.1.1 with all v23b2 builds 
0000039 Static DHCP and local DNS issue 
0000047 Transmission Rate saving problem 



08.11.2005:
new backup/restore code introduced (old backup format is incompatible now)
Wireless MAC filter crash bug fixed (GUI)
l7 protocols updated

07.11.2005:
busybox upgraded
iptables upgraded to 1.3.4
some logging issues fixed
motorola WR850G support added (use dd-wrt.v23_mini_moto.bin for tftp flashing)
nocat segmentation fault fixed
client mode fixed
some left httpd leaks fixed

04.11.2005:
voip build is now really a voip build (sorry for misstake)
some typos fixed


03.11.2005:
chillispot watchdog added and radius retrycount modified (10 now)
siemens se505 detection enhanced (for those with 00:90:96 macs)
kernel messages reduced (okay removed, which brings me some free memory)
disabled HTTP/HTTPS issue fixed (happends if you change somethin in services,hotspot, or keep alive)


01.11.2005:
client bridge mode reworked (wpa in bridge mode verified, wpa2 still not)
ethernet driver changed
wl500g-deluxe is now fully working with all features. (reboot problem solved too)
ifconfig enhanced (for supporting multiple ip's per interface)

28.10.2005:
linux semaphore code reworked (asus deluxe robo switch support)
robo switch and vlan config reworked (asus deluxe robo switch support)
wan support added for asus wl500g deluxe

27.10.2005:
Siemens SE505 support finished. works and fully tested (mini,std,voip)
(see hwsupport.txt for additional notes)
added linksys wds/wpa fixes

26.10.2005:
iptables reworked for memory optimization
library size optimization added
possibly tx/rx antenna selection problem fixed

25.10.2005:
service restart functions enhanced. (some services arent restarted correctly from the Service GUI etc.)
Siemens gigaset 505 detection introduced (not finished yet, so dont play around with it)
iptables fix for upnp (please try it)
FilterSummary table header fixed

24.10.2005:
webgui fix for dhcpd (crashbug cause of missplaced pointer var)
wbr2g54s typo fix (wireless driver wasnt loaded)
merge of latest squashfs sources to the lzma squashfs code (decreases memory usage)

21.10.2005:
static dhcp table memory fault fixed
BUFFALO WBR2G54S support code added (thanks Emir Erkocevic)
fixing funny guy bugs
(port services, qos services etc, missaligned labels etc.)
fixed conntrack issue (ftp wasnt working etc.)
dnsmasq crashbug fixed (dhcp usage if hostname is null)
dnsmasq leasetime bug fixed


20.10.2005:
removed unused web-cgi code
removed unused linux modules
httpd (ssl) staticly linked to matrixssl (smaller)
udhcpd statics fixed
l7filter fixed
dnsmasq does now support lease informations too

19.10.2005:
dynamic dhcp static lease table added
dnsmasq dhcp does now support static leases too
build date added to the header line
2 new fancy styled added (red and green by Guilty Spark)

18.10.2005:
client routed mode missplaced bridge fixed

17.10.2005:
catched 2 long term memory leakes in httpd daemon
possibly crashbug fixed in uclibc (can also cause the strange upnp crashes)
uclibc pipe function optimized (possibly you get enhanced speed now)
building bug with std version fixed (wrt54g binary only), sorry about this

14.10.2005:
zlib support added for dropbear

12.10.2005:
pppoe support for wireless client mode added (does this really work?)
zero config for chillispot updated
port forwarding port from/to swapping issue fixed

11.10.2005:
additional port forwarding table added (with from and to assignment, yes)
multicast proxy added


10.10.2005:
ssh fixed
auto disable for backup and firmware upgrade within https environment
ipkg repository list updated
kaid removed from voip version due fw size limit
ebtables is back for qos 
	(warning, lowers your network speed if you're using it)
	thats means also, never use qos with LAN/WLAN selection if you want high
	performance. use wan based networking instead


wireless mac issue fixed (asus only)
logging issue fixed (auto switching loglevel)
port forwarding bug fixed (tcp/udp switch)
port forwarding save bug fixed
connlimit/connrate added
internal memory management optimized (webgui only)

07.10.2005:
progressive port forwarding added (gui)
progressive port triggering added (gui) 
mixed readded for client mode
some internal kernel changes (will be used in future)
new pptpd version
new dropbear version

06.10.2005:
upnp site added (thx for your great patch nohud)
wan detection dix (again, thx nohud)
client mode fixed
some small asus related fixes added
symbols for tcpdump added
matrixssl updated
new design added (by Daniel Wikar)
updated pptp client by Cesar Gonzales


04.10.2005:
ssh is back (mini version)
ASUS-WL500G Deluxe is supported now
wireless mode selection fixed. (mixed mode problem)
kromos style fixes integrated
WMM/WME additions within the network code
another try for a upnp solution

30.09.2005:
kernel updated to the very lates 2.4.32-RC1 version
recoded some function in the broadcom shared lib
cesar gonzales pptp client updated again
pptp for dhcp fixed (webgui)

29.09.2005:
bridge and adhoc mode added in wireless status and info page
ftpput readded

28.09.2005:
radvd config fixed
pptp use dhcp added 
upnp code updated

27.09.2005:
bridge mode works now with wpa2 and wpa1 
dd-wrt christmas light mode implemented (try to find out how to trigger it)
preamble settings changed (long, short, auto now supported)
dhcp dnsmasq button fixed for mini version

26.09.2005:
mac filter memory fault fixed
port forwarding memory fault fixed
firewall/startup save hanging fixed
jffs working again (cleaning and enabling can cause up to 3 reboots)
ap isolation setting fixed
dhcp-fwd setting index.asp page bug fixed
robocfg vlan switch configuration utility added
ftpget readded 
connect/disconnect button fixed on status_router page (pppoe etc.)

23.09.2005:
buildprocess redesign
cesar gonzales ppptp client module integrated
chillispot updated to latest cvs version (1.0 preview)
l7 filters updated
pppoe,l2tp etc. password field fix
telnet readded

21.09.2005:
startup deadlock fixed for first time flashing
imq device fixed (QOS WORKS NOW)
Gaming QOS added
router status page fixed
ppp fixes for l2tp

20.09.2005
radvd config added
dnsmasq button bug fixed (can't be disabled if enabled once)
wireless advanced settings bug fixed (settings lost after reboot)

19.09.2005
dhcp-fwd fixed (/var/run/dhcp-fwd issue)
wdswatchdog respawning issue fixed
http deselection bug fixed
chillispot anyip feature added
use DNSMasq as DHCP Server added
dnsmasq upgraded to 2.23
busybox upgraded to 1.01
15.09.2005
router style setting reintroduced
chillispot native process watch integrated
httpd security bug fixed (negative content length)
sipath fixed (again, i know)
WanMac GUI fixed (sipath tab missing)

14.09.2005:
voip version fixed
building problem fixed which causes various errors whith services (ssh, chilli etc)


13.09.2005:
v4 support working, v4 serial support fixed
chillispot interface selection fixed
linux netfilter enhanced
dhcp store on jffs radio button issue fixed
remote management for https added
belkin support added (please do not test, not finished)
basic version reintroduced
chillispot security fix (thx tony)
typos fixed
ipfilter definition bug fixed

29.8.2005
more v4 related fixes
sipath problem fixed (chmod)

26.8.2005
license information added within the distribution file
site survey->join button added
some more web bugs fixed
WDS Stability enhanced
MAX Associated Clients setting implemented (see Wireless Advanced)
WMM support integrated (see Wireless Advanced)
latest linksys driver integration


22.8.2005:
WBR-G54 support code (untested)
configuration backup/restore fixed
playing around with some memory optimizations
integration of the latest mipsel kernel fixes (thx nbd)
upnp fix
wep key input field fix

15.08.2005:
snmpd 802dot11 mib integration
linux wireless extension integration
site survey is working now
jffs bug fixed
nocat is now working correctly
QOS Services/Filter Services crashbug fixed
some fixes in client bridge mode
various web fixes
http redirect added/smtp redirect fixed
administration page well structured
some mem leaks fixed

03.08.2005:
small fixes on client mode
02.08.2005:
third update this night, again config issues with nocatsplash fixed
second update this night, recompiled nocatsplash
nocatsplash (yeah, i know many people are waiting for it but untested) (thx too EWRT team)
wpa/wpa2 fixes (for client mode and wds, poorly tested but worked)
ip-up uses now a different way for IPLOCAL and IPREMOTE detection (sipath support)
shell script cgi support added to the linksys httpd daemon (sipath support)
http/https enable/disable problem fixed
lan subnet mask setting enhanced
new web gui (with 3 selectable styles)
voip sipath support
transparent client bridge support
dhcp forwarding support
mac filter table enhanced to 100 entries
wireless speed problem fixed
kernel 2.4.30 integration


v22 final:
dropbear fixed
wrong client ssid association fix
bird fix, for disabled routing
dropbear updated to latest version
site survey typo fix (title)
reboot scheduler cron fix

prefinal5:
reboot scheduler web fix
rflow crashbug fixed
try to fix the ssid problem
rflow/macupd script fix
reboot scheduler initialisation fix (error in script)
ssid join fix (experimental)
backup/restore variables updated to include all common modules
chinese (traditional) updated with latest language file
ipkg config updated with more options for smbfs and mmc storage support
mmc/ipv6 only included in full version now
smtp relay option for forwarding smtp requests to a central server
more chillispot options in the administration area
filter changes
path env fixed
overclocking code removed again
more pppoe fixes by ice-man
pattern header fixed
pppoecd module fix by ice-man
asus WL500G support (internally, not included in this release)
tftp pattern added for specific models
kernel speed optimization added
linksys patches removed, bricking many router models
added latest fixes from linksys sourcecode (stability related)
routing page fixed
ipp2p filter updated
linksys pppoe fix (by ice-man)
dnsmasq fixed
pppoe module updated (2.4.3 with some mods)
MMC/SD Card support added ( look at http://kiel.kool.dk:27/ for HW mod)
afterburner selection fixed
dnsmasq updated
chinese language fix (codepage)
routing interface selection fixed
wlconf enhanced for wpa2 support
new startup code added
bulgarian added
chinese (traditional) added
port forwards now increased to 30 rows
radvd compiled in now (no web configuration yet)
ipv6 support (with web configuration)
source now compiled with gcc 3.3.5
wrt-radauth mactype and shared key type fixed
webfiles updated again
lzma kernel loader updated
snmp map fixed (old style dd-wrt v20)
wrt-radauth webmenu fixed
wrt-radauth mactype fixed
macupd updated
dutch added
portuguese (brazilian) added
croatian language added
gnu zebra routing exchanged with bird
bgp routing code internally added (webcode not finished yet)
kernel lzma compression added
dropbear readded in basic firmware
WRT54G V3 support

prefinal4:
kaid mac config fixed
chillispot startup fixed
wireless advanced helpfile updated (thx duality)
wireless advanced fixed
Wireless short/long preamble selection added (thx duality)
wireless access option added in wireless advanced menu (thx duality)
chillispot dhcp interface selection (lan,wan,lan+wlan)
chillispot additional configuration added
client leases stored to jffs2 added (if enabled)
multilanguage support for German,Spanish,French,Italian
web server improved
several web bugs fixed (thx, Cesar and Duality)
jffs2 is working now
firmware splittet in 2 versions.
basic = does not contain dropbear, chillispot, samba and kaid
full  = all features of the common firmware


prefinal3.3:
heartbeat server ip problem fixed
Xmit info in info page
uncounted other fixes so far
Chillispot 1.0 RC3 implemented 


prefinal3.2:
site survey fixed
wrt-radauth enhanced with portal function for unauthorized users
wds-watchdog nvram initialisation fixed
various web bugs fixed (thx Cesar)

prefinal3.1:
pppoe fixed

prefinal3:
expert mode enabled by default
Spanning Tree Protocol selection (disable it if you're using Comcast)
JFFS2 Config Module (jffs2 is now disabled by default, clean option added)
jffs init now moved back to preinit script
ADD/EDIT Services button added to QOS Page
Reboot Button added on Administration page


by Cesar Gonzales
Reboot Scheduler
WDS Watchdog

by Ah-Man
PPPOE Module Type Selection (Linksys PPPoE is now default, RP PPPoE is optional)



prefinal2:
dhcpd fixed
chillispot upgraded to 1.0 RC2
chillispot configuration fixed
wrt-radauth menu is now full english

prefinal:
jffs2 writeable flashfilesystem support (mounted on /jffs2)
chillispot implemented
wrt-radauth, enhanced to support a configureable amount of unauthicated users logged on
macupd updated with minories latest sources
dhcpd updated
mtd command introduced (imported from OpenWRT)
memory enhancements to free much more space than ever before
site survey fixed
static routing fixed
